#ifndef __hal_protocol___h__
#define __hal_protocol___h__
#include <stdbool.h>
#include <stdint.h>
#include <string.h>
#include "sdk_common.h"
#include "SEGGER_RTT.h"
#include "usr_config.h"
#include "hal_imu.h"
#include "app_slave.h"
#include "app_host.h"

void Send_IMU_Data(IMU_DAT_t* p);
void send_protocol(uint8_t dex,uint8_t cmd,uint8_t* dat,uint8_t len);

void Send_Slave_Data(slave_data_t* p);
void Send_Host_Data(host_data_t* p);
void Send_Host_enterGame(void);
void Send_Host_exitGame(void);

#endif



